set moduleSet {
	/testbench/DUT/inst2/
	/testbench/DUT/inst3/
	/testbench/DUT/inst4/
	/testbench/DUT/inst5/
	/testbench/DUT/inst8/
}

transcript off
foreach module $moduleSet {
	set memSet [split [mem list $module -r] "\n"]
	foreach memDetail $memSet {
		if {[llength $memDetail]>4} {
			set memPath [lindex $memDetail 1]
			set memWidth [lindex $memDetail 4]
			mem load -skip 0 -filltype value -filldata "$memWidth'd0" $memPath
		}
	}
}

echo "memories initialization done"
